Skip to main content
GET
Get a custom agent's sharing permissions
The organization bot token must have the following scopes:
  • workflows:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

agent_id
string<uuid>
required
space_id
string<uuid>
required

Query Parameters

cursor
string

Opaque pagination cursor from a prior response's 'next_cursor'.

Response

permissions
object[]
required

The page of permission entries, up to 250 per request. The workspace-wide grant always sorts first, then groups, then users.

next_cursor
string

Cursor to pass as 'cursor' to fetch the next page; omitted on the last.